import request from '@/utils/request'

// 查询用户三方支付账户列表
export function listUserPayment(query) {
  return request({
    url: '/service/userPayment/list',
    method: 'get',
    params: query
  })
}

// 查询用户三方支付账户详细
export function getUserPayment(paymentId) {
  return request({
    url: '/service/userPayment/' + paymentId,
    method: 'get'
  })
}

// 新增用户三方支付账户
export function addUserPayment(data) {
  return request({
    url: '/service/userPayment',
    method: 'post',
    data: data
  })
}

// 修改用户三方支付账户
export function updateUserPayment(data) {
  return request({
    url: '/service/userPayment',
    method: 'put',
    data: data
  })
}

// 删除用户三方支付账户
export function delUserPayment(paymentId) {
  return request({
    url: '/service/userPayment/' + paymentId,
    method: 'delete'
  })
}
